[lxc-devel] [lxd/master] Bugfixes

stgraber on Github lxc-bot at linuxcontainers.org
Sat Jan 7 18:53:19 UTC 2017


A non-text attachment was scrubbed...
Name: not available
Type: text/x-mailbox
Size: 301 bytes
Desc: not available
URL: <http://lists.linuxcontainers.org/pipermail/lxc-devel/attachments/20170107/355dd8a9/attachment.bin>
-------------- next part --------------
From 9a21c6f4ca8aefe9adf20f539a2df049dcd9a2ad Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?St=C3=A9phane=20Graber?= <stgraber at ubuntu.com>
Date: Sat, 7 Jan 2017 19:52:23 +0100
Subject: [PATCH 1/2] Drop unused code from db.go
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Stéphane Graber <stgraber at ubuntu.com>
---
 lxd/db.go | 9 ---------
 1 file changed, 9 deletions(-)

diff --git a/lxd/db.go b/lxd/db.go
index a76397b..2473958 100644
--- a/lxd/db.go
+++ b/lxd/db.go
@@ -25,15 +25,6 @@ var (
 	NoSuchObjectError = fmt.Errorf("No such object")
 )
 
-// Profile is here to order Profiles.
-type Profile struct {
-	name  string
-	order int
-}
-
-// Profiles will contain a list of all Profiles.
-type Profiles []Profile
-
 // CURRENT_SCHEMA contains the current SQLite SQL Schema.
 const CURRENT_SCHEMA string = `
 CREATE TABLE IF NOT EXISTS certificates (

From dcd3704b15990de95cd2cc057c1629954442f127 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?St=C3=A9phane=20Graber?= <stgraber at ubuntu.com>
Date: Sat, 7 Jan 2017 19:52:35 +0100
Subject: [PATCH 2/2] tests: Fix deadcode to work with new upstream
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Stéphane Graber <stgraber at ubuntu.com>
---
 test/suites/static_analysis.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/test/suites/static_analysis.sh b/test/suites/static_analysis.sh
index 58e4894..4d2608c 100644
--- a/test/suites/static_analysis.sh
+++ b/test/suites/static_analysis.sh
@@ -38,8 +38,8 @@ test_static_analysis() {
 
     ## deadcode
     if which deadcode >/dev/null 2>&1; then
-      for path in . lxc/ lxd/ shared/ shared/i18n shared/termios fuidshift/; do
-        OUT=$(deadcode ${path} 2>&1 | grep -v lxd/migrate.pb.go || true)
+      for path in . fuidshift lxc lxd lxd/types shared shared/api shared/i18n shared/ioprogress shared/logging shared/osarch shared/simplestreams shared/termios shared/version test/lxd-benchmark; do
+        OUT=$(deadcode ./${path} 2>&1 | grep -v lxd/migrate.pb.go: | grep -v /C: | grep -vi _cgo | grep -vi _cfunc || true)
         if [ -n "${OUT}" ]; then
           echo "${OUT}" >&2
           false


More information about the lxc-devel mailing list